cubrid_column_names
cubrid_commit
CUBRID Functions
PHP Manual

# cubrid_column_types

(PECL CUBRID >= 8.3.0)

cubrid_column_types — Get column types in result

### Description

array cubrid_column_types ( resource `$req_identifier` )

The cubrid_column_types() function gets column types of query results by using `req_identifier`.

### Parameters

`req_identifier`

  Request identifier.

### Return Values

Array of string values containing the column names, when process is successful.

`FALSE`, when process is unsuccessful.

### Examples

Example #1 cubrid_column_types() example

`<?php
$conn = cubrid_connect("localhost", 33000, "demodb", "dba");
$result = cubrid_execute($conn, "SELECT * FROM game WHERE host_year=2004 AND nation_code='AUS' AND medal='G'");
$column_names = cubrid_column_names($result);
$column_types = cubrid_column_types($result);
printf("%-30s %-30s %-15s\n", "Column Names", "Column Types", "Column Maxlen");
for($i = 0, $size = count($column_names); $i < $size; $i++) {
$column_len = cubrid_field_len($result, $i);
printf("%-30s %-30s %-15s\n", $column_names[$i], $column_types[$i], $column_len);
}
cubrid_disconnect($conn);
?>`

The above example will output:

    Column Names                   Column Types                   Column Maxlen
    host_year                      integer                        11
    event_code                     integer                        11
    athlete_code                   integer                        11
    stadium_code                   integer                        11
    nation_code                    char                           3
    medal                          char                           1
    game_date                      date                           10

### See Also

- cubrid_column_names() - Get the column names in result
- cubrid_prepare() - Prepare a SQL statement for execution
- cubrid_execute() - Execute a prepared SQL statement

cubrid_column_names
cubrid_commit
CUBRID Functions
PHP Manual